<?php
// -------------------------------------------------------
// PHP-Fusion Content Management System
// Copyright (C) 2002 - 2008 Nick Jones
// http://www.php-fusion.co.uk/
// -------------------------------------------------------
// Project: 	Matchboard 1.0 for PHPFusion v7.x
// Author: 		David Geistert
// Releasedate: Mar. 2012
// Version: 	1.0
// -------------------------------------------------------
// This program is released as free software under the
// Affero GPL license. You can redistribute it and/or
// modify it under the terms of this license which you
// can read by viewing the included agpl.txt or online
// at www.gnu.org/licenses/agpl.html. Removal of this
// copyright header is strictly prohibited without
// written permission from the original author(s).
// -------------------------------------------------------
error_reporting( E_ALL ^ E_NOTICE );

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect(BASEDIR."index.php"); }

include INFUSIONS."matchboard_panel/infusion_db.php";

if( !isset( $_GET['edit_id'] ) ){
    if( isset( $_POST['mb_submit_settings'] ) ){
        $entries = (int)$_POST['mb_entries'];
        
        $result = dbquery("UPDATE ".DB_MATCHBOARD_SETTINGS." SET val = ".$entries." WHERE name = 'show_panel'");

        redirect(FUSION_SELF.$aidlink."");	
    } 
    $mbsettings = dbquery( "SELECT * FROM ".DB_MATCHBOARD_SETTINGS );
    while( $data = dbarray( $mbsettings) ){
        switch( $data[ "name" ] ){
        case "show_panel":
            $show_entries = $data[ "val" ];
        break;
        }
        
    }
    opentable("Matchboard - ".$locale['matchboard_00']);
    echo "<form action='".FUSION_SELF.$aidlink."' method='POST'>\n";
    echo "<table align='center' cellspacing='1' cellpadding='0' width='100%' class='tbl-border'>\n";

    echo "<tr>\n";
    echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_01'].":</b></td>";
    echo "<td align='left' class='tbl2'><input type='text' class='textbox' name='mb_entries' value='".$show_entries."' style='width:200px;'></td>";
    echo "</tr>\n";

    echo "<tr>\n<td colspan='2'><input type='submit' name='mb_submit_settings' value='".$locale['matchboard_02']."' class='button'></td></tr>\n";

    echo "</table>\n";
    echo "</form>\n";
    closetable();

    $rounds = 1;
    $tmp_data = array();
        // PHP Notice fix (undefined index)
        $tmp_data[ "date" ] = date( "m.d.Y" ); 
        $tmp_data[ "rounds" ] = 1;  
        $tmp_data[ "t1name" ] = $tmp_data[ "t2name" ] = "";
        
        $tmp_data[ "map_1" ] = "";
        $tmp_data[ "t1s_1" ] = $tmp_data[ "t2s_1" ] = "";
        
        $tmp_data[ "t1p" ] = $tmp_data[ "t2p" ] = "";
        $tmp_data[ "screenshot" ] = "";
        $tmp_data[ "gametype" ] = "";
    $err = "";
    if( isset( $_POST['mb_submit_match'] ) ){
        $date = $_POST['mb_date'];
        $tmp_data[ "date" ] = $_POST['mb_date'];
        if( substr_count( $date, '.' ) == 2 ){
            $date = explode( ".", $date );
            $month = ( strlen( $date[0] ) == 1 ? "0".$month : $date[0] );
            $day = ( strlen( $date[1] ) == 1 ? "0". $day : $date[1] );
            $year = $date[2];
            if( (strlen( $year ) + strlen( $month ) + strlen( $day )) == 8 ){
                $date = strtotime( $year . "-" . $month . "-" . $day );
            }else{
                $err .= $locale['matchboard_03']."<br />";
            }
        }else{
            $err .= $locale['matchboard_03']."!<br />";
        }
        
        //check team name
        $tmp_data[ "t1name" ] = $_POST['mb_t1name'];
        $_POST[ "mb_t1name" ] ? $team1_name = addslashes( $_POST[ "mb_t1name" ] ) : $err .= $locale['matchboard_04']."!<br />";
        $tmp_data[ "t2name" ] = $_POST['mb_t2name'];
        $_POST[ "mb_t2name" ] ? $team2_name = addslashes( $_POST[ "mb_t2name" ] ) : $err .= $locale['matchboard_05']."<br />";
        
        //check screeshots
        $tmp_data[ "screenshot" ] = $_POST['mb_screenshots'];
        $_POST[ "mb_screenshots" ] ? $screenshot = addslashes( $_POST[ "mb_screenshots" ] ) : $screenshot = "";
        
        //check Player
        $tmp_data[ "t1p" ] = $_POST['mb_t1p'];
        $_POST[ "mb_t1p" ] ? $t1p = addslashes( $_POST[ "mb_t1p" ] ) : $t1p = "";
        $tmp_data[ "t2p" ] = $_POST['mb_t2p'];
        $_POST[ "mb_t2p" ] ? $t2p = addslashes( $_POST[ "mb_t2p" ] ) : $t2p = "";
        
        //check gametype
        $tmp_data[ "gametype" ] = $_POST['mb_gametype'];
        $_POST[ "mb_gametype" ] ? $gametype = addslashes( $_POST[ "mb_gametype" ] ) : $gametype = "";
        
        //check rounds
        $tmp_data[ "rounds" ] = $_POST[ "mb_rounds" ];
        $rounds = array();
        $round_err = 1;
        for( $i = 1; $i != $_POST[ "mb_rounds" ] + 1; $i++ ){
            if( (int)$_POST[ "mb_t1s_" . $i ] > 0 || (int)$_POST[ "mb_t2s_" . $i ] > 0 ){
                $round_err = 0;
            }
            $tmp_data[ "t1s_".$i ] = (int)$_POST[ "mb_t1s_" . $i ];
            $tmp_data[ "t2s_".$i ] = (int)$_POST[ "mb_t2s_" . $i ];
            $tmp_data[ "map_".$i ] = $_POST[ "mb_map_" . $i ];
            
            $rounds[ $i ] = array( $_POST[ "mb_map_" . $i ], (int)$_POST[ "mb_t1s_" . $i ], (int)$_POST[ "mb_t2s_" . $i ] );
        }
        if( $round_err == 1 ){
            $err .= $locale['matchboard_06']."!<br />";
        }
        
        if( $err == "" ){
            dbquery( "INSERT INTO ".DB_MATCHBOARD." 
            ( insert_time, match_date, team1, team2, screenshots, team1_player, team2_player, gametype ) VALUES
            (".time().", ".$date.", '".$team1_name."', '".$team2_name."', '".$screenshot."', '".$t1p."', '".$t2p."', '".$gametype."')");

            $last_id = dbarray( dbquery( "SELECT LAST_INSERT_ID() as last_id from ".DB_MATCHBOARD ) );
            $last_id = $last_id["last_id"];
            foreach( $rounds as  $round ){
                dbquery( "INSERT INTO ".DB_MATCHBOARD_MATCHES." 
                ( match_id, map_name, team1_score, team2_score ) VALUES
                ( ".$last_id.", '".$round[0]."', ".(int)$round[1].", ".(int)$round[2]." )" );
            }
            redirect(FUSION_SELF.$aidlink."");
        }
    }


    opentable("Matchboard - ".$locale['matchboard_07']);
    echo "<form action='".FUSION_SELF.$aidlink."' method='POST'>\n";
    echo "<table align='center' cellspacing='1' cellpadding='0' width='100%' class='tbl-border'>\n";

    echo "<tr>\n";
    echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_08'].":</b></td>";
    echo "<td align='left' class='tbl2'><input type='text' class='textbox' name='mb_date' value='".$tmp_data[ "date" ]."' style='width:400px;'>(mm.dd.yyyy)</td>";
    echo "</tr>\n";

    echo "<tr>\n";
    echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_09'].":</b></td>";
    echo "<td align='left' class='tbl2'><input type='text' class='textbox' name='mb_gametype' value='".$tmp_data[ "gametype" ]."' style='width:400px;'></td>";
    echo "</tr>\n";


    echo "<tr>\n";
    echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_10'].":</b></td>";
    echo "<td align='left' class='tbl2'><input type='text' class='textbox' name='mb_t1name' value='".$tmp_data[ "t1name" ]."' style='width:400px;'></td>";
    echo "</tr>\n";
    echo "<tr>\n";
    echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_11'].":</b></td>";
    echo "<td align='left' class='tbl2'><input type='text' class='textbox' name='mb_t1p' value='".$tmp_data[ "t1p" ]."' style='width:400px;'></td>";
    echo "</tr>\n";

    echo "<tr>\n<td class='tbl2' colspan='2'><b style='margin-left:19%;'>".$locale['matchboard_12']."</b></tr>\n";

    echo "<tr>\n";
    echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_13'].":</b></td>";
    echo "<td align='left' class='tbl2'><input type='text' class='textbox' name='mb_t2name' value='".$tmp_data[ "t2name" ]."' style='width:400px;'></td>";
    echo "</tr>\n";
    echo "<tr>\n";
    echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_14'].":</b></td>";
    echo "<td align='left' class='tbl2'><input type='text' class='textbox' name='mb_t2p' value='".$tmp_data[ "t2p" ]."' style='width:400px;'></td>";
    echo "</tr>\n";


    echo "<tr>\n";
    echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_15'].":</b></td>";
    echo "<td align='left' class='tbl2'>
    <div id='rounds'> "; 
    for( $j = 1; $j != $tmp_data[ "rounds" ] + 1; $j++ ){
        echo "
        <input type='text' class='textbox' name='mb_map_".$j."' value='".$tmp_data[ "map_".$j ]."' style='width:310px;'> - 
        <input type='text' class='textbox' name='mb_t1s_".$j."' value='".$tmp_data[ "t1s_".$j ]."' style='width:30px;'> :
        <input type='text' class='textbox' name='mb_t2s_".$j."' value='".$tmp_data[ "t2s_".$j ]."' style='width:30px;'><br/><br />";
    }
    echo "</div>
    ".$locale['matchboard_16']."<br />
    <a id='more_map' href='javascript:;'>+1 ".$locale['matchboard_17']."</a>
    <input type='hidden' name='mb_rounds' value='".$tmp_data[ "rounds" ]."' />
    </td>";
    echo "</tr>\n";


    echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_18'].":</b></td>";
    echo "<td align='left' class='tbl2'><textarea class='textbox' rows='6' name='mb_screenshots' style='width:400px;'>".$tmp_data[ "screenshot" ]."</textarea>
    <br/>(".$locale['matchboard_19'].")</td>";
    echo "</tr>\n";

    echo "<tr>\n<td colspan='2' class='tbl2'><input type='submit' name='mb_submit_match' value='".$locale['matchboard_20']."' class='button'></td></tr>\n";
    if( $err != "" ) echo "<tr>\n<td colspan='2'><span style='color:red;'>".$err."</span></tr>\n";
    echo "</table>\n";
    echo "</form>\n";
    closetable();
    if( isset( $_GET[ "del_id" ] ) ){
        $del_id = (int)$_GET[ "del_id" ];
        dbquery( "DELETE FROM ".DB_MATCHBOARD." where match_id = ".$del_id);
        dbquery( "DELETE FROM ".DB_MATCHBOARD_MATCHES." where match_id = ".$del_id);
        redirect(FUSION_SELF.$aidlink."");
    }

    opentable("Matchboard - ".$locale['matchboard_21']);
    echo "<form action='".FUSION_SELF.$aidlink."' method='POST'>\n";
    echo "<table align='center' cellspacing='1' cellpadding='0' width='100%' class='tbl-border'>\n";

    echo "<tr>\n";
    echo "<th class='tbl2'>".$locale['matchboard_22']."</td>";
    echo "<th class='tbl2'>".$locale['matchboard_08']."</td>";
    echo "<th class='tbl2'>".$locale['matchboard_23']."</td>";
    echo "<th class='tbl2'>".$locale['matchboard_12']."</td>";
    echo "<th class='tbl2'>".$locale['matchboard_24']."</td>";
    echo "<th class='tbl2'>".$locale['matchboard_25']."</td>";
    echo "<th class='tbl2'>".$locale['matchboard_26']."</td>";
    echo "<th class='tbl2'>".$locale['matchboard_27']."</td>";
    echo "</tr>\n";

    $result = dbquery( "SELECT * FROM ".DB_MATCHBOARD." ORDER BY match_id ASC" );
    for( $i = 1; $row = dbarray( $result ); $i++ ){
        echo "<tr style='text-align:center;'>\n";
        echo "<td class='tbl2' style='width:35px;'>".$i."</td>";
        echo "<td class='tbl2' style='width:90px;'>".date( "m.d.Y", $row["match_date"] )."</td>";
        echo "<td class='tbl2'>".$row["team1"]."</td>";
        echo "<td class='tbl2' style='width:20px;'>".$locale['matchboard_12']."</td>";
        echo "<td class='tbl2'>".$row["team2"]."</td>";
        $points = dbarray( dbquery( "SELECT sum( team1_score ) as t1, sum( team2_score ) as t2 
            FROM ".DB_MATCHBOARD_MATCHES." WHERE match_id = ".$row["match_id"] ) );
        echo "<td class='tbl2'>".$points["t1"].":".$points["t2"]."</td>";
        echo "<td class='tbl2' style='width:23px;'><a href='".FUSION_SELF.$aidlink."&edit_id=".$row["match_id"]."'>
            <img style='height:20px; width:20px;' src='images/edit.png' /></a></td>";
        echo "<td class='tbl2' style='width:23px;'><a href='".FUSION_SELF.$aidlink."&del_id=".$row["match_id"]."'>
            <img style='height:20px; width:20px;' src='images/del.png' /></a></td>";
        echo "</tr>\n";
    }

    echo "</table>\n";
    echo "</form>\n";
    closetable();
}else{
    $match_id = (int)$_GET[ "edit_id" ];
    $tmp_data = array();
    $result = dbquery( "SELECT * FROM ".DB_MATCHBOARD." where match_id = ".$match_id );
    while( $row = dbarray( $result ) ){
        // fill vars with data
        $tmp_data[ "date" ] = date( "m.d.Y", $row["match_date"] ); 
         
        $tmp_data[ "t1name" ] = $row["team1"];
        $tmp_data[ "t2name" ] = $row["team2"];
        $tmp_data[ "t1p" ] = $row["team1_player"];
        $tmp_data[ "t2p" ] = $row["team2_player"];
        $tmp_data[ "screenshot" ] = $row["screenshots"];
        $tmp_data[ "gametype" ] = $row["gametype"];
        
        $result_rounds = dbquery( "SELECT * FROM ".DB_MATCHBOARD_MATCHES." WHERE match_id = ".$match_id );
        for( $k = 0; $row_points = dbarray( $result_rounds ); $k++ ){
             $rounds = $k + 1;
             $tmp_data[ "map_".$rounds ] = $row_points[ "map_name" ];
             $tmp_data[ "t1s_".$rounds ] = $row_points[ "team1_score" ];
             $tmp_data[ "t2s_".$rounds ] = $row_points[ "team2_score" ];
        }
        $tmp_data[ "rounds" ] = $k; 
       
    }
    $err = "";
    if( isset( $_POST['mb_edit_match'] ) ){
        $date = $_POST['mb_date'];
        $tmp_data[ "date" ] = $_POST['mb_date'];
        if( substr_count( $date, '.' ) == 2 ){
            $date = explode( ".", $date );
            $month = ( strlen( $date[0] ) == 1 ? "0".$month : $date[0] );
            $day = ( strlen( $date[1] ) == 1 ? "0". $day : $date[1] );
            $year = $date[2];
            if( (strlen( $year ) + strlen( $month ) + strlen( $day )) == 8 ){
                $date = strtotime( $year . "-" . $month . "-" . $day );
            }else{
                $err .= $locale['matchboard_03']."!<br />";
            }
        }else{
            $err .= $locale['matchboard_03']."!<br />";
        }
        
        //check team name
        $tmp_data[ "t1name" ] = $_POST['mb_t1name'];
        $_POST[ "mb_t1name" ] ? $team1_name = addslashes( $_POST[ "mb_t1name" ] ) : $err .= $locale['matchboard_04']."!<br />";
        $tmp_data[ "t2name" ] = $_POST['mb_t2name'];
        $_POST[ "mb_t2name" ] ? $team2_name = addslashes( $_POST[ "mb_t2name" ] ) : $err .= $locale['matchboard_05']."!<br />";
        
        //check screeshots
        $tmp_data[ "screenshot" ] = $_POST['mb_screenshots'];
        $_POST[ "mb_screenshots" ] ? $screenshot = addslashes( $_POST[ "mb_screenshots" ] ) : $screenshot = "";
        
        //check Player
        $tmp_data[ "t1p" ] = $_POST['mb_t1p'];
        $_POST[ "mb_t1p" ] ? $t1p = addslashes( $_POST[ "mb_t1p" ] ) : $t1p = "";
        $tmp_data[ "t2p" ] = $_POST['mb_t2p'];
        $_POST[ "mb_t2p" ] ? $t2p = addslashes( $_POST[ "mb_t2p" ] ) : $t2p = "";
        
        //check gametype
        $tmp_data[ "gametype" ] = $_POST['mb_gametype'];
        $_POST[ "mb_gametype" ] ? $gametype = addslashes( $_POST[ "mb_gametype" ] ) : $gametype = "";
        
        //check rounds
        $tmp_data[ "rounds" ] = $_POST[ "mb_rounds" ];
        $rounds = array();
        $round_err = 1;
        for( $i = 1; $i != $_POST[ "mb_rounds" ] + 1; $i++ ){
            if( (int)$_POST[ "mb_t1s_" . $i ] > 0 || (int)$_POST[ "mb_t2s_" . $i ] > 0 ){
                $round_err = 0;
            }
            $tmp_data[ "t1s_".$i ] = (int)$_POST[ "mb_t1s_" . $i ];
            $tmp_data[ "t2s_".$i ] = (int)$_POST[ "mb_t2s_" . $i ];
            $tmp_data[ "map_".$i ] = $_POST[ "mb_map_" . $i ];
            
            $rounds[ $i ] = array( $_POST[ "mb_map_" . $i ], (int)$_POST[ "mb_t1s_" . $i ], (int)$_POST[ "mb_t2s_" . $i ] );
        }
        if( $round_err == 1 ){
            $err .= $locale['matchboard_06']."!<br />";
        }
        
        if( $err == "" ){
            dbquery( "UPDATE ".DB_MATCHBOARD." SET match_date = ".$date.", 
            team1 = '".$team1_name."', 
            team2 = '".$team2_name."', 
            screenshots = '".$screenshot."', 
            team1_player = '".$t1p."', 
            team2_player = '".$t2p."', 
            gametype = '".$gametype."' 
            WHERE match_id = ".$match_id );
            
            dbquery( "DELETE FROM ".DB_MATCHBOARD_MATCHES." where match_id = ".$match_id);
            foreach( $rounds as  $round ){
                dbquery( "INSERT INTO ".DB_MATCHBOARD_MATCHES." 
                ( match_id, map_name, team1_score, team2_score ) VALUES
                ( ".$match_id.", '".$round[0]."', ".(int)$round[1].", ".(int)$round[2]." )" );
            }
            redirect(FUSION_SELF.$aidlink."");
        }
    }
    opentable("Matchboard - ".$locale['matchboard_28']);
    echo "<form action='".FUSION_SELF.$aidlink."&edit_id=".$match_id."' method='POST'>\n";
    echo "<table align='center' cellspacing='1' cellpadding='0' width='100%' class='tbl-border'>\n";

    echo "<tr>\n";
    echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_8'].":</b></td>";
    echo "<td align='left' class='tbl2'><input type='text' class='textbox' name='mb_date' value='".$tmp_data[ "date" ]."' style='width:400px;'>(mm.dd.yyyy)</td>";
    echo "</tr>\n";

    echo "<tr>\n";
    echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_9'].":</b></td>";
    echo "<td align='left' class='tbl2'><input type='text' class='textbox' name='mb_gametype' value='".$tmp_data[ "gametype" ]."' style='width:400px;'></td>";
    echo "</tr>\n";


    echo "<tr>\n";
    echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_10'].":</b></td>";
    echo "<td align='left' class='tbl2'><input type='text' class='textbox' name='mb_t1name' value='".$tmp_data[ "t1name" ]."' style='width:400px;'></td>";
    echo "</tr>\n";
    echo "<tr>\n";
    echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_11'].":</b></td>";
    echo "<td align='left' class='tbl2'><input type='text' class='textbox' name='mb_t1p' value='".$tmp_data[ "t1p" ]."' style='width:400px;'></td>";
    echo "</tr>\n";

    echo "<tr>\n<td class='tbl2' colspan='2'><b style='margin-left:19%;'>".$locale['matchboard_12']."</b></tr>\n";

    echo "<tr>\n";
    echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_13'].":</b></td>";
    echo "<td align='left' class='tbl2'><input type='text' class='textbox' name='mb_t2name' value='".$tmp_data[ "t2name" ]."' style='width:400px;'></td>";
    echo "</tr>\n";
    echo "<tr>\n";
    echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_14'].":</b></td>";
    echo "<td align='left' class='tbl2'><input type='text' class='textbox' name='mb_t2p' value='".$tmp_data[ "t2p" ]."' style='width:400px;'></td>";
    echo "</tr>\n";


    echo "<tr>\n";
    echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_15'].":</b></td>";
    echo "<td align='left' class='tbl2'>
    <div id='rounds'> "; 
    for( $j = 1; $j != $tmp_data[ "rounds" ] + 1; $j++ ){
        echo "
        <input type='text' class='textbox' name='mb_map_".$j."' value='".$tmp_data[ "map_".$j ]."' style='width:310px;'> - 
        <input type='text' class='textbox' name='mb_t1s_".$j."' value='".$tmp_data[ "t1s_".$j ]."' style='width:30px;'> :
        <input type='text' class='textbox' name='mb_t2s_".$j."' value='".$tmp_data[ "t2s_".$j ]."' style='width:30px;'><br/><br />";
    }
    echo "</div>
    ".$locale['matchboard_16']."<br />
    <a id='more_map' href='javascript:;'>+1 ".$locale['matchboard_17']."</a>
    <input type='hidden' name='mb_rounds' value='".$tmp_data[ "rounds" ]."' />
    </td>";
    echo "</tr>\n";


    echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_18'].":</b></td>";
    echo "<td align='left' class='tbl2'><textarea class='textbox' rows='6' name='mb_screenshots' style='width:400px;'>".$tmp_data[ "screenshot" ]."</textarea>
    <br/>".$locale['matchboard_19']."</td>";
    echo "</tr>\n";

    echo "<tr>\n<td colspan='2' class='tbl2'><input type='submit' name='mb_edit_match' value='".$locale['matchboard_29']."' class='button'></td></tr>\n";
    if( $err != "" ) echo "<tr>\n<td colspan='2'><span style='color:red;'>".$err."</span></tr>\n";
    echo "</table>\n";
    echo "</form>\n";
    closetable();
}
?>
    <script>
        $("#more_map").click(function() {
            var inputs = $("input[name='mb_rounds']").attr( "value" );
            inputs = parseInt( inputs ) + 1;
            var text = '<input type="text" class="textbox" name="mb_map_' + inputs + '" style="width:310px;"> - ';  
            text += '<input type="text" class="textbox" name="mb_t1s_' + inputs + '" style="width:30px;"> : ';
            text += '<input type="text" class="textbox" name="mb_t2s_' + inputs + '" style="width:30px;"><br /><br />';
            $('#rounds').append( text );
            $("input[name='mb_rounds']").attr( "value", inputs );
        });
    </script>
<?php
require_once THEMES."templates/footer.php";
?>
