<?
// -------------------------------------------------------
// PHP-Fusion Content Management System
// Copyright (C) 2002 - 2008 Nick Jones
// http://www.php-fusion.co.uk/
// -------------------------------------------------------
// Project: 	Matchboard 1.0 for PHPFusion v7.x
// Author: 		David Geistert
// Releasedate: Mar. 2012
// Version: 	1.0
// -------------------------------------------------------
// This program is released as free software under the
// Affero GPL license. You can redistribute it and/or
// modify it under the terms of this license which you
// can read by viewing the included agpl.txt or online
// at www.gnu.org/licenses/agpl.html. Removal of this
// copyright header is strictly prohibited without
// written permission from the original author(s).
// -------------------------------------------------------

include INFUSIONS."matchboard_panel/infusion_db.php";
function calc_color( $int1, $int2 ){
    if( $int1 < $int2 ){
        $color = "color: #d00303;";
    }else if( $int1 > $int2 ){
        $color = "color: #00CC00;";
    }else{
        $color = "color: grey;";
    }
    return $color;
}
?>
<style>
    .score_board_main{
        height: 40px;
        border-bottom: 1px grey solid;
        padding-top: 5px;
        padding-bottom: 5px;
    }
    .score_board_left{
        width: 115px;
        height: inherit;
        float: left;
    }
    .score_board_left .vs{
        color: #d00303;
        font-size: 10px;
    }
    .score_board_left .team{
        color: #555555;
        font-size: 11px;
    }
    .score_board_left .infos{
        font-size: 9px;
    }
    .score_board_left a{
        color: none;
    }
    .score_board_right{
        padding-top: 13px;
        width: 50px;
        float: right;
        font-size: 12px;
        text-align: right;
    }
</style>

<?php


openside( "Match Board" );

$mbsettings = dbquery( "SELECT * FROM ".DB_MATCHBOARD_SETTINGS );
while( $data = dbarray( $mbsettings) ){
    switch( $data[ "name" ] ){
    case "show_panel":
        $show_entries = (int)$data[ "val" ];
    break;
    }
}
if( !$show_entries ){
    $show_entries = 5;
}
    
$result = dbquery( "SELECT * FROM ".DB_MATCHBOARD." ORDER BY match_id DESC LIMIT 0,".$show_entries );
while( $row = dbarray( $result ) ){
    $gametype = "";
    if( $row["gametype"] ){
        $gametype = strtolower( $row["gametype"] )." - ";
    }
    $points = dbarray( dbquery( "SELECT sum( team1_score ) as t1, sum( team2_score ) as t2 
        FROM ".DB_MATCHBOARD_MATCHES." WHERE match_id = ".$row["match_id"] ) );
    $link = INFUSIONS."matchboard_panel/matchboard_view.php?match_id=".$row["match_id"];
    echo "<div class='score_board_main'>";
        echo "<div class='score_board_left'>";
            echo "<a href='".$link."'><span class='team'><b>".substr($row["team1"], 0, 6 )."</b></span>";
            echo "<span class='vs'> vs. </span>";
            echo "<span class='team'><b>".substr($row["team2"], 0, 6 )."</b></span></a><br />";
            echo "<span class='infos'><br />".$gametype."".date( "m.d.Y", $row["match_date"] )."</span>";
        echo "</div>";
        echo "<div class='score_board_right'>";
            echo "<b style='".calc_color( $points["t1"], $points["t2"] )."'>".$points["t1"].":".$points["t2"]."</b>";
        echo "</div>";
    echo "</div>";
}
echo "<a href='".INFUSIONS."matchboard_panel/matchboard_view.php'>more...</a>";



closeside();
?>
