<?
// -------------------------------------------------------
// PHP-Fusion Content Management System
// Copyright (C) 2002 - 2008 Nick Jones
// http://www.php-fusion.co.uk/
// -------------------------------------------------------
// Project: 	Matchboard 1.0 for PHPFusion v7.x
// Author: 		David Geistert
// Releasedate: Mar. 2012
// Version: 	1.0
// -------------------------------------------------------
// This program is released as free software under the
// Affero GPL license. You can redistribute it and/or
// modify it under the terms of this license which you
// can read by viewing the included agpl.txt or online
// at www.gnu.org/licenses/agpl.html. Removal of this
// copyright header is strictly prohibited without
// written permission from the original author(s).
// -------------------------------------------------------

require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."matchboard_panel/infusion_db.php";

opentable( "Match Board" );

if( isset( $_GET[ "match_id" ] ) ){
    $match_id = (int)$_GET[ "match_id" ];
    
    $result = dbquery( "SELECT * FROM ".DB_MATCHBOARD." where match_id = ".$match_id );
    $result_maps = dbquery( "SELECT * FROM ".DB_MATCHBOARD_MATCHES." where match_id = ".$match_id );
    echo "<table align='center' cellspacing='1' cellpadding='0' width='100%' class='tbl-border'>\n";
    while( $row = dbarray( $result ) ){

        echo "<tr>\n";
        echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_08'].":</b></td>";
        echo "<td align='left' class='tbl2'>".date( "m.d.Y", $row["match_date"] )."</td>";
        echo "</tr>\n";
        
        if( $row[ "gametype" ] ){
            echo "<tr>\n";
            echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_09'].":</b></td>";
            echo "<td align='left' class='tbl2'>".$row[ "gametype" ]."</td>";
            echo "</tr>\n";
        }


        echo "<tr>\n";
        echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_10'].":</b></td>";
        echo "<td align='left' class='tbl2'>".$row["team1"]."</td>";
        echo "</tr>\n";
        echo "<tr>\n";
        echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_11'].":</b></td>";
        echo "<td align='left' class='tbl2'>".$row["team1_player"]."</td>";
        echo "</tr>\n";

        echo "<tr>\n<td class='tbl2' colspan='2'><b style='margin-left:19%;'>".$locale['matchboard_12']."</b></tr>\n";

        echo "<tr>\n";
        echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_13'].":</b></td>";
        echo "<td align='left' class='tbl2'>".$row["team2"]."</td>";
        echo "</tr>\n";
        echo "<tr>\n";
        echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_14'].":</b></td>";
        echo "<td align='left' class='tbl2'>".$row["team2_player"]."</td>";
        echo "</tr>\n";


        echo "<tr>\n";
        echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_30'].":</b></td>";
        echo "<td align='left' class='tbl2'>";
        echo "<table>";
        echo "<tr>";
            echo "<th>".$locale['matchboard_31']."</th>";
            echo "<th>".$locale['matchboard_32']."</th>";
        echo "</tr>";
        $t1_score = 0;
        $t2_score = 0;
        while( $row_map = dbarray( $result_maps ) ){

            echo "<tr>";
            echo "<td class='tbl2' style='width: 70px;".calc_color( $row_map["team1_score"], $row_map["team2_score"] )."'>
            <b>".$row_map["team1_score"].":".$row_map["team2_score"]."</b></td>";
            echo "<td class='tbl2'>".$row_map["map_name"]."</td>";
            echo "</tr>";
            $t1_score += $row_map["team1_score"];
            $t2_score += $row_map["team2_score"];
        }
        echo "<tr>";
        echo "<td class='tbl2' 
            style='border-top: double black; width: 70px;".calc_color( $t1_score, $t2_score )."'>
        <b>".$t1_score.":".$t2_score."</b></td>";
        echo "<td class='tbl2'> </td>";
        echo "</tr>";
        echo "</table>";
        echo "</td>";
        echo "</tr>\n";

        $screenshots = trim( $row[ "screenshots" ] );
        $screenshots = explode( "\n", $screenshots );
        $image_txt = "";
        foreach( $screenshots as $screenshot ){
            if( $screenshot ){
                $image_txt .= "<img src='".$screenshot."' style='width: 400px; margin:5px;' />";
            }
        }
        echo "<td align='left' class='tbl2' width='20%'><b>".$locale['matchboard_18'].":</b></td>";
        echo "<td align='left' class='tbl2'>".$image_txt."</td>";
        echo "</tr>\n";
    }
    echo "</table>\n";
}else{
    $result = dbquery( "SELECT * FROM ".DB_MATCHBOARD." order by match_id DESC " );
    echo "<table align='center' cellspacing='1' cellpadding='0' width='100%' class='tbl-border'>\n";
    echo "<th>".$locale['matchboard_08']."</th>";
    echo "<th>".$locale['matchboard_09']."</th>";
    echo "<th>".$locale['matchboard_33']."</th>";
    echo "<th>".$locale['matchboard_34']."</th>";
    while( $row = dbarray( $result ) ){
        if( $row[ "gametype" ] ){
            $gametyp = $row[ "gametype" ];
        }else{
            $gametyp = "-";
        }
        
        $points = dbarray( dbquery( "SELECT sum( team1_score ) as t1,
            sum( team2_score ) as t2 FROM ".DB_MATCHBOARD_MATCHES." where match_id = ".$row[ "match_id" ] ) );
        
        echo "<tr>\n";
        echo "<td align='center' class='tbl2'>".date( "m.d.Y", $row["match_date"] )."</td>";
        echo "<td align='center' class='tbl2'>".$gametyp."</td>";
        echo "<td align='center' class='tbl2'>";
        echo "<a style='color: #555555;' 
            href='".INFUSIONS."matchboard_panel/matchboard_view.php?match_id=".$row["match_id"]."'>";
        echo "<b>".$row["team1"]."</b> <span style='color:#d00303;'>vs</span> <b>".
            $row["team1"]."</b></td>";
        echo "</a>";
        echo "<td align='center' style='".calc_color( $points[ "t1" ], $points[ "t2" ] )."' class='tbl2'>".$points[ "t1" ].":".$points[ "t2" ]."</td>";
        echo "</tr>\n";
    }
    echo "</table>";
}

closetable();

require_once THEMES."templates/footer.php";
?>
